> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.2/wisej.web/editors/domainupdown.md).

# DomainUpDown

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.2.0.0)

* [Control](/api/v3.2/wisej.web/general/control.md)
  * [UpDownBase](/api/v3.2/wisej.web/editors/wisej.web.updownbase.md)
    * [DomainUpDown](/api/v3.2/wisej.web/editors/domainupdown.md)

Represents a spinner control that displays string values.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DomainUpDown : UpDownBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DomainUpDown
    Inherits UpDownBase
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/k9JaCemfGSiwecs59re6)DomainUpDown()

Initializes a new instance of the [NumericUpDown](/api/v3.2/wisej.web/editors/wisej.web.numericupdown.md) class.

## Properties

### ![](/files/k9JaCemfGSiwecs59re6)Items

[DomainUpDownItemCollection](/api/v3.2/wisej.web/editors/domainupdown/wisej.web.domainupdown.domainupdownitemcollection.md): A collection of objects assigned to the spinner control.

### ![](/files/k9JaCemfGSiwecs59re6)SelectedIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the index value of the selected item. (Default: `-1`)

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than the default, -1; or the assigned value is greater than the [Items](#items) count.

### ![](/files/k9JaCemfGSiwecs59re6)SelectedItem

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the selected item based on the index value of the selected item in the collection.

### ![](/files/k9JaCemfGSiwecs59re6)Sorted

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the item collection is sorted. (Default: `False`)

### ![](/files/k9JaCemfGSiwecs59re6)Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the text associated with this control. (Default: `""`)

When AllowHtml is set to true, the text can contain HTML content. If the text contains new lines (CRLF) but doesn't contain HTML elements (at least one "<") all CRLF are automatically substituted with "\<BR/>".

## Events

### ![](/files/k9JaCemfGSiwecs59re6)SelectedItemChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the [SelectedItem](#selecteditem) property has been changed.

### ![](/files/k9JaCemfGSiwecs59re6)SortedChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the [Sorted](#sorted) property has changed.

## Implements

| Name                                                                                   | Description                                                                                                                                               |
| -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.2/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                             |
| [IDropTarget](/api/v3.2/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                                                    |
| [ILabel](/api/v3.2/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/v3.2/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.  |
| [IReadOnly](/api/v3.2/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/v3.2/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode. |
| [IValidation](/api/v3.2/wisej.web/interfaces/wisej.web.ivalidation.md)                 | Provides access to the validation events and properties property for controls that support validation.                                                    |
| [IWisejComponent](/api/v3.2/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                            |
| [IWisejControl](/api/v3.2/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.2/wisej.web/general/control.md) class must implement this interface.                                |
| [IWisejSerializable](/api/v3.2/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.2/wisej.web/editors/domainupdown.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
